Package ru.bitel.bgbilling.kernel.table.common.bean

# Class BGUTableColumn

java.lang.Object
ru.bitel.bgbilling.kernel.table.common.bean.BGUTableColumn

public class BGUTableColumn extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `BGUTableColumn.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGUTableColumn()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BGUTableColumn`
  `buildColumnBoolean(String title, String name, int width)`
  `static BGUTableColumn`
  `buildColumnComment()`
  `static BGUTableColumn`
  `buildColumnDate(String title, String name)`
  `static BGUTableColumn`
  `buildColumnDateTime(String title, String name)`
  `static BGUTableColumn`
  `buildColumnDecimal(String title, String name)`
  `static BGUTableColumn`
  `buildColumnId()`
  `static BGUTableColumn`
  `buildColumnLastUpdate()`
  `static BGUTableColumn`
  `buildColumnPeriod()`
  `static BGUTableColumn`
  `buildColumnRadio(String name, ru.bitel.bgbilling.kernel.table.common.enums.BGUTableCellRenderer renderer)`
  `static BGUTableColumn`
  `buildColumnRadioCenter(String name)`
  `static BGUTableColumn`
  `buildColumnRadioLeft(String name)`
  `static BGUTableColumn`
  `buildColumnTextCenter(String title, String name)`
  `static BGUTableColumn`
  `buildColumnTextColorCenter(String title, String name)`
  `static BGUTableColumn`
  `buildColumnTextLeft(String title, String name)`
  `static BGUTableColumn`
  `buildColumnTextRight(String title, String name)`
  `static BGUTableColumn`
  `buildColumnUserName()`
  `static BGUTableColumn.Builder`
  `builder()`
  `String`
  `getClassName()`
  `int`
  `getMaxWidth()`
  `int`
  `getMinWidth()`
  `String`
  `getName()`
  `int`
  `getPrefWidth()`
  `ru.bitel.bgbilling.kernel.table.common.enums.BGUTableCellRenderer`
  `getTableCellRenderer()`
  `String`
  `getTitle()`
  `boolean`
  `isEditable()`
  `boolean`
  `isSortable()`
  `BGUTableColumn`
  `setClassName(String className)`
  `BGUTableColumn`
  `setEditable(boolean editable)`
  `BGUTableColumn`
  `setMaxWidth(int maxWidth)`
  `BGUTableColumn`
  `setMinWidth(int minWidth)`
  `BGUTableColumn`
  `setName(String name)`
  `BGUTableColumn`
  `setPrefWidth(int prefWidth)`
  `BGUTableColumn`
  `setSortable(boolean sortable)`
  `BGUTableColumn`
  `setTableCellRenderer(ru.bitel.bgbilling.kernel.table.common.enums.BGUTableCellRenderer tableCellRenderer)`
  `BGUTableColumn`
  `setTitle(String title)`
  `BGUTableColumn`
  `setWidth(int width)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BGUTableColumn

    public BGUTableColumn()

- ## Method Details

  - ### getTitle

    public String getTitle()

  - ### getMinWidth

    public int getMinWidth()

  - ### getPrefWidth

    public int getPrefWidth()

  - ### getMaxWidth

    public int getMaxWidth()

  - ### getName

    public String getName()

  - ### getClassName

    public String getClassName()

  - ### isSortable

    public boolean isSortable()

  - ### isEditable

    public boolean isEditable()

  - ### getTableCellRenderer

    public ru.bitel.bgbilling.kernel.table.common.enums.BGUTableCellRenderer getTableCellRenderer()

  - ### setTitle

    public BGUTableColumn setTitle(String title)

  - ### setMinWidth

    public BGUTableColumn setMinWidth(int minWidth)

  - ### setPrefWidth

    public BGUTableColumn setPrefWidth(int prefWidth)

  - ### setMaxWidth

    public BGUTableColumn setMaxWidth(int maxWidth)

  - ### setWidth

    public BGUTableColumn setWidth(int width)

  - ### setName

    public BGUTableColumn setName(String name)

  - ### setClassName

    public BGUTableColumn setClassName(String className)

  - ### setSortable

    public BGUTableColumn setSortable(boolean sortable)

  - ### setEditable

    public BGUTableColumn setEditable(boolean editable)

  - ### setTableCellRenderer

    public BGUTableColumn setTableCellRenderer(ru.bitel.bgbilling.kernel.table.common.enums.BGUTableCellRenderer tableCellRenderer)

  - ### buildColumnId

    public static BGUTableColumn buildColumnId()

  - ### buildColumnRadioLeft

    public static BGUTableColumn buildColumnRadioLeft(String name)

  - ### buildColumnRadioCenter

    public static BGUTableColumn buildColumnRadioCenter(String name)

  - ### buildColumnRadio

    public static BGUTableColumn buildColumnRadio(String name, ru.bitel.bgbilling.kernel.table.common.enums.BGUTableCellRenderer renderer)

  - ### buildColumnPeriod

    public static BGUTableColumn buildColumnPeriod()

  - ### buildColumnTextLeft

    public static BGUTableColumn buildColumnTextLeft(String title, String name)

  - ### buildColumnTextCenter

    public static BGUTableColumn buildColumnTextCenter(String title, String name)

  - ### buildColumnTextColorCenter

    public static BGUTableColumn buildColumnTextColorCenter(String title, String name)

  - ### buildColumnTextRight

    public static BGUTableColumn buildColumnTextRight(String title, String name)

  - ### buildColumnComment

    public static BGUTableColumn buildColumnComment()

  - ### buildColumnDate

    public static BGUTableColumn buildColumnDate(String title, String name)

  - ### buildColumnDecimal

    public static BGUTableColumn buildColumnDecimal(String title, String name)

  - ### buildColumnDateTime

    public static BGUTableColumn buildColumnDateTime(String title, String name)

  - ### buildColumnBoolean

    public static BGUTableColumn buildColumnBoolean(String title, String name, int width)

  - ### buildColumnUserName

    public static BGUTableColumn buildColumnUserName()

  - ### buildColumnLastUpdate

    public static BGUTableColumn buildColumnLastUpdate()

  - ### builder

    public static BGUTableColumn.Builder builder()